Visualizza: Box contenitore

From FreeCAD Documentation
Revision as of 18:36, 30 December 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский
Arrow-left.svg Pagina precedente: Std DrawStyle.svg Std DrawStyle
Pagina successiva: Stereo rosso/ciano Std ViewIvStereoRedGreen.svg Arrow-right.svg

Std SelBoundingBox.svg Box contenitore

Posizione nel menu
Visualizza → Box contenitore
Ambiente
Tutti
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Stile di disegno

Descrizione

Il comando Box di selezione attiva o disattiva la modalità di evidenziazione del riquadro di selezione globale. Se questa modalità è attivata, gli oggetti selezionati vengono contrassegnati in una Vista 3D con un riquadro di selezione evidenziato anche se VistaSelection Style è impostato su 'Forma'.

Utilizzo

  1. There are several ways to invoke the command:
    • Press the Std SelBoundingBox.svg Std SelBoundingBox button.
    • Select the View → Std SelBoundingBox.svg Bounding box option from the menu.

Preferenze

The related setting is stored: Tools → Edit parameters... → BaseApp → Preferences → View → ShowSelectionBoundingBox. It is a boolean value, the default is false.

Script

Vedere anche: Script di base per FreeCAD

To change the ShowSelectionBoundingBox setting use the SetBool method of the appropriate ParameterGrp. The code sample does not work if FreeCAD is in console mode.

import FreeCAD, FreeCADGui

grp = FreeCAD.ParamGet('User parameter:BaseApp/Preferences/View')
if grp.GetBool('ShowSelectionBoundingBox'):
  grp.SetBool('ShowSelectionBoundingBox',False)
else:
  grp.SetBool('ShowSelectionBoundingBox',True)

FreeCADGui.updateCommands()
Arrow-left.svg Pagina precedente: Std DrawStyle.svg Std DrawStyle
Pagina successiva: Stereo rosso/ciano Std ViewIvStereoRedGreen.svg Arrow-right.svg